Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.aglets.tahiti
Class UserManager

    java.lang.Object
      |
      +--com.ibm.aglets.tahiti.UserManager

Direct Known Subclasses:
  CommandLineUserManager, TahitiDaemonUserManager, TahitiUserManager

public abstract class UserManager
extends java.lang.Object

`UserManager` class specifies user manager of aglet server.

Version:
  1.00 $Date: 2001/07/28 06:32:16 $
Author:
  ONO Kouichi

Constructor Summary
`UserManager()`

Method Summary
`java.security.cert.Certificate` | `getCertificate()`
`static java.lang.String` | `getDefaultUsername()`
`static java.security.cert.Certificate` | `getRegisteredCertificate(java.lang.String username)`
`java.lang.String` | `getUsername()`
`protected static boolean` | `isRegisteredUser(java.lang.String username)`
`abstract java.security.cert.Certificate` | `login()`
`protected void` | `setCertificate(java.security.cert.Certificate cert)`
`protected void` | `setUsername(java.lang.String username)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserManager

    public UserManager()

Method Detail

### getCertificate

    public java.security.cert.Certificate getCertificate()

### getDefaultUsername

    public static final java.lang.String getDefaultUsername()

### getRegisteredCertificate

    public static java.security.cert.Certificate getRegisteredCertificate(java.lang.String username)

### getUsername

    public java.lang.String getUsername()

### isRegisteredUser

    protected static boolean isRegisteredUser(java.lang.String username)

### login

    public abstract java.security.cert.Certificate login()

### setCertificate

    protected void setCertificate(java.security.cert.Certificate cert)

### setUsername

    protected void setUsername(java.lang.String username)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD